package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStoreOrderItem;
import com.fs.his.vo.FsStoreOrderItemListDVO;
import com.fs.his.vo.FsStoreOrderItemListUVO;
import com.fs.his.vo.FsStoreOrderItemVO;

/**
 * 订单详情Service接口
 *
 * @author fs
 * @date 2023-08-11
 */
public interface IFsStoreOrderItemService
{
    /**
     * 查询订单详情
     *
     * @param itemId 订单详情主键
     * @return 订单详情
     */
    public FsStoreOrderItem selectFsStoreOrderItemByItemId(String itemId);

    /**
     * 查询订单详情列表
     *
     * @param fsStoreOrderItem 订单详情
     * @return 订单详情集合
     */
    public List<FsStoreOrderItem> selectFsStoreOrderItemList(FsStoreOrderItem fsStoreOrderItem);

    /**
     * 新增订单详情
     *
     * @param fsStoreOrderItem 订单详情
     * @return 结果
     */
    public int insertFsStoreOrderItem(FsStoreOrderItem fsStoreOrderItem);

    /**
     * 修改订单详情
     *
     * @param fsStoreOrderItem 订单详情
     * @return 结果
     */
    public int updateFsStoreOrderItem(FsStoreOrderItem fsStoreOrderItem);

    /**
     * 批量删除订单详情
     *
     * @param itemIds 需要删除的订单详情主键集合
     * @return 结果
     */
    public int deleteFsStoreOrderItemByItemIds(String[] itemIds);

    /**
     * 删除订单详情信息
     *
     * @param itemId 订单详情主键
     * @return 结果
     */
    public int deleteFsStoreOrderItemByItemId(String itemId);

    List<FsStoreOrderItemListUVO> selectFsStoreOrderItemListUVOByOrderId(Long orderId);

    List<FsStoreOrderItemListDVO> selectFsStoreOrderItemListDVOByOrderId(Long orderId);

    List<FsStoreOrderItem> selectFsStoreOrderItemListByOrderId(Long orderId);
}
